Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class DefaultConnectionStrategy

`java.lang.Object
oracle.jbo.common.ampool.DefaultConnectionStrategy`

All Implemented Interfaces:
  ConnectionStrategy

public class DefaultConnectionStrategy
extends java.lang.Object
implements ConnectionStrategy

A default strategy class for application module creation and connection.

Field Summary
`static java.lang.String` | `LAST_EXCEPTION`

Fields inherited from interface oracle.jbo.common.ampool.ConnectionStrategy
`APPLICATION_MODULE_CLASS_NAME_PROPERTY, DB_CONNECT_STRING_PROPERTY, DB_PASSWORD_PROPERTY, DB_USERNAME_PROPERTY`

Constructor Summary
`DefaultConnectionStrategy()`

Method Summary
`void` | `connect(ApplicationModule applicationModule, SessionCookie cookie, EnvInfoProvider envInfo)` Connect an application module.
`ApplicationModule` | `createApplicationModule(java.util.Hashtable environment)` Create an application module.
`ApplicationModule` | `createApplicationModule(SessionCookie cookie, EnvInfoProvider envInfo)` Create an application module.
`void` | `disconnect(ApplicationModule applicationModule, boolean retainState, SessionCookie cookie)` Disconnect an application module
`void` | `doHandleDatabaseState(ApplicationModule appModule, ApplicationPoolSvcMsgContext ctx)`
`void` | `reconnect(ApplicationModule applicationModule, SessionCookie cookie, EnvInfoProvider envInfo)` Reconnect an application module

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAST_EXCEPTION

    public static final java.lang.String LAST_EXCEPTION

  See Also:
    Constant Field Values

Constructor Detail

### DefaultConnectionStrategy

    public DefaultConnectionStrategy()

Method Detail

### createApplicationModule

    public ApplicationModule createApplicationModule(SessionCookie cookie,
                                                     EnvInfoProvider envInfo)

  Description copied from interface: `ConnectionStrategy`
  Create an application module. This operation is included in the connection strategy interface because location of an application module's home object may require a connection to another JNDI context.
  Specified by:
    `createApplicationModule` in interface `ConnectionStrategy`
  Parameters:
    `cookie` - the SessionCookie instance that requested the ApplicationModule
    `envInfo` - the SessionCookie EnvInfoProvider if it exists. This parameter has been deprecated in 10.1.3. Applications should not use this parameter. The EnvInfoProvider will still be invoked by the ApplicationPool as documented in the EnvInfoProvider interface.

### createApplicationModule

    public ApplicationModule createApplicationModule(java.util.Hashtable environment)

  Description copied from interface: `ConnectionStrategy`
  Create an application module. This operation is included in the connection strategy interface because location of an application module's home object may require a connection to another JNDI context.
  Specified by:
    `createApplicationModule` in interface `ConnectionStrategy`
  Parameters:
    `environment` - the environment which is to be used to locate the application module home. Typically derived from the application module configuration.

### connect

    public void connect(ApplicationModule applicationModule,
                        SessionCookie cookie,
                        EnvInfoProvider envInfo)

  Description copied from interface: `ConnectionStrategy`
  Connect an application module.
  Specified by:
    `connect` in interface `ConnectionStrategy`
  Parameters:
    `applicationModule` - the ApplicationModule instance that is to be connected.
    `cookie` - the SessionCookie instance that requested the ApplicationModule
    `envInfo` - the SessionCookie EnvInfoProvider if it exists. This parameter has been deprecated in 10.1.3. Applications should not use this parameter. The EnvInfoProvider will still be invoked by the ApplicationPool as documented in the EnvInfoProvider interface.

### reconnect

    public void reconnect(ApplicationModule applicationModule,
                          SessionCookie cookie,
                          EnvInfoProvider envInfo)

  Description copied from interface: `ConnectionStrategy`
  Reconnect an application module
  Specified by:
    `reconnect` in interface `ConnectionStrategy`
  Parameters:
    `applicationModule` - the ApplicationModule instance that is to be reconnected.
    `cookie` - the SessionCookie instance that requested the ApplicationModule
    `envInfo` - the SessionCookie EnvInfoProvider if it exists. This parameter has been deprecated in 10.1.3. Applications should not use this parameter. The EnvInfoProvider will still be invoked by the ApplicationPool as documented in the EnvInfoProvider interface.

### disconnect

    public void disconnect(ApplicationModule applicationModule,
                           boolean retainState,
                           SessionCookie cookie)

  Description copied from interface: `ConnectionStrategy`
  Disconnect an application module
  Specified by:
    `disconnect` in interface `ConnectionStrategy`
  Parameters:
    `applicationModule` - the ApplicationModule instance that is to be disconnected.
    `cookie` - the SessionCookie instance that requested the ApplicationModule // * @param envInfo the SessionCookie EnvInfoProvider if it exists. This // * parameter has been deprecated in 10.1.3. Applications should not // * use this parameter. The EnvInfoProvider will still be invoked // * by the ApplicationPool as documented in the EnvInfoProvider // * interface.

### doHandleDatabaseState

    public void doHandleDatabaseState(ApplicationModule appModule,
                                      ApplicationPoolSvcMsgContext ctx)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.